edu.isi.pegasus.planner.invocation

## Class Job

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.Job

All Implemented Interfaces:
  java.io.Serializable

    public class Job
    extends Invocation

This class is contains the record from each jobs that ran in every invocation.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`private Arguments` `m_arguments` Command-line arguments.
`private double` `m_duration` Duration of the job.
`private StatCall` `m_executable` Stat call of the executable.
`private int` `m_pid` Process id assigned to the job.
`private java.util.Date` `m_start` Start time of this job.
`private Status` `m_status` Exit condition of the job.
`private java.lang.String` `m_tag` This is the tag to produce the job for.
`private Usage` `m_usage` Resource usage of this job.

### Constructor Summary

Constructors
Constructor and Description
`Job(java.lang.String tag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Arguments` `getArguments()` Accessor
`double` `getDuration()` Accessor
`StatCall` `getExecutable()` Accessor
`int` `getPID()` Accessor
`java.util.Date` `getStart()` Accessor
`Status` `getStatus()` Accessor
`java.lang.String` `getTag()` Accessor
`Usage` `getUsage()` Accessor
`void` `setArguments(Arguments arguments)` Accessor.
`void` `setDuration(double duration)` Accessor.
`void` `setExecutable(StatCall executable)` Accessor.
`void` `setPID(int pid)` Accessor.
`void` `setStart(java.util.Date start)` Accessor.
`void` `setStatus(Status status)` Accessor.
`void` `setTag(java.lang.String tag)` Accessor.
`void` `setUsage(Usage usage)` Accessor.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dumps the state of the current element as XML output.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_tag

    private java.lang.String m_tag

This is the tag to produce the job for. Usually, it is one of "mainjob", "prejob", "postjob", or "cleanup".

#### m_start

    private java.util.Date m_start

Start time of this job.

#### m_duration

    private double m_duration

Duration of the job.

#### m_pid

    private int m_pid

Process id assigned to the job.

#### m_usage

    private Usage m_usage

Resource usage of this job.

#### m_status

    private Status m_status

Exit condition of the job.

#### m_executable

    private StatCall m_executable

Stat call of the executable.

#### m_arguments

    private Arguments m_arguments

Command-line arguments.

### Constructor Detail

#### Job

    public Job(java.lang.String tag)

### Method Detail

#### getTag

    public java.lang.String getTag()

Accessor

See Also:
  `setTag(String)`

#### setTag

    public void setTag(java.lang.String tag)

Accessor.

Parameters:
  `tag` -
See Also:
  `getTag()`

#### getStart

    public java.util.Date getStart()

Accessor

See Also:
  `setStart(Date)`

#### setStart

    public void setStart(java.util.Date start)

Accessor.

Parameters:
  `start` -
See Also:
  `getStart()`

#### getDuration

    public double getDuration()

Accessor

See Also:
  `setDuration(double)`

#### setDuration

    public void setDuration(double duration)

Accessor.

Parameters:
  `duration` -
See Also:
  `getDuration()`

#### getPID

    public int getPID()

Accessor

See Also:
  `setPID(int)`

#### setPID

    public void setPID(int pid)

Accessor.

Parameters:
  `pid` -
See Also:
  `getPID()`

#### getUsage

    public Usage getUsage()

Accessor

See Also:
  `setUsage(Usage)`

#### setUsage

    public void setUsage(Usage usage)

Accessor.

Parameters:
  `usage` -
See Also:
  `getUsage()`

#### getStatus

    public Status getStatus()

Accessor

See Also:
  `setStatus(Status)`

#### setStatus

    public void setStatus(Status status)

Accessor.

Parameters:
  `status` -
See Also:
  `getStatus()`

#### getExecutable

    public StatCall getExecutable()

Accessor

See Also:
  `setExecutable(StatCall)`

#### setExecutable

    public void setExecutable(StatCall executable)

Accessor.

Parameters:
  `executable` -
See Also:
  `getExecutable()`

#### getArguments

    public Arguments getArguments()

Accessor

See Also:
  `setArguments(Arguments)`

#### setArguments

    public void setArguments(Arguments arguments)

Accessor.

Parameters:
  `arguments` -
See Also:
  `getArguments()`

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dumps the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`